/// A library for Dart that generates fake data.
library faker;

export 'src/faker.dart';

export 'src/random_generator.dart';

export 'src/address.dart';
export 'src/colors.dart';
export 'src/conference.dart';
export 'src/company.dart';
export 'src/currency.dart';
export 'src/food.dart';
export 'src/guid.dart';
export 'src/image.dart';
export 'src/internet.dart';
export 'src/job.dart';
export 'src/jwt.dart';
export 'src/person.dart';
export 'src/sport.dart';
export 'src/vehicle.dart';

export 'src/data/address/city_suffixes.dart';
export 'src/data/address/countries.dart';
export 'src/data/address/country_codes.dart';
export 'src/data/address/neighborhoods.dart';
export 'src/data/address/street_suffixes.dart';
export 'src/data/conference/conference_names.dart';
export 'src/data/currency/currency_names.dart';
export 'src/data/currency/currency_codes.dart';
export 'src/data/food/cuisines.dart';
export 'src/data/food/dishes.dart';
export 'src/data/food/restaurants.dart';
export 'src/data/person/firstnames.dart';
export 'src/data/person/lastnames.dart';
export 'src/data/job/job_adj.dart';
export 'src/data/job/job_noun.dart';
export 'src/data/job/job_prefix.dart';
export 'src/data/sport/sport_names.dart';

export 'src/providers/base_providers.dart';
export 'src/providers/default_providers.dart';
export 'src/providers/fa_providers.dart';
